Gtk2::FontSelection(3p)

NAME
Gtk2::FontSelection - wrapper for GtkFontSelection

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Box
                           +----Gtk2::VBox
                                +----Gtk2::FontSelection

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable
  Gtk2::Orientable

METHODS

  widget = Gtk2::FontSelection->new

  fontface = $fontsel->get_face
Since: gtk+ 2.14

  widget = $fontsel->get_face_list
Since: gtk+ 2.14

  fontfamily = $fontsel->get_family
Since: gtk+ 2.14

  widget = $fontsel->get_family_list
Since: gtk+ 2.14

  font = $fontsel->get_font

  string = $fontsel->get_font_name

  boolean = $fontsel->set_font_name ($fontname)

•   $fontname (string)

  widget = $fontsel->get_preview_entry
Since: gtk+ 2.14

  string = $fontsel->get_preview_text

  $fontsel->set_preview_text ($text)

•   $text (string)

  widget = $fontsel->get_size_entry
Since: gtk+ 2.14

  integer = $fontsel->get_size
Since: gtk+ 2.14

  widget = $fontsel->get_size_list
Since: gtk+ 2.14

PROPERTIES

'font' (Gtk2::Gdk::Font : default undef : readable / private / static-nick / static-blurb)
    The GdkFont that is currently selected

'font-name' (string : default "Sans 10" : readable / writable / private / static-nick / static-blurb)
    The string that represents this font

'preview-text' (string : default "abcdefghijk ABCDEFGHIJK" : readable / writable / private / static-nick / static-blurb)
    The text to display in order to demonstrate the selected font

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::Widget, Gtk2::Container, Gtk2::Box, Gtk2::VBox

COPYRIGHT
Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.